# azure.mgmt.eventhub.v2017_04_01.models module

exception `azure.mgmt.eventhub.v2017_04_01.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.eventhub.v2017_04_01.models.``AccessKeys`(**kwargs)

  Bases: `msrest.serialization.Model`

  Namespace/EventHub Connection String.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - primary_connection_string (str) – Primary connection string of the created namespace AuthorizationRule.
  - secondary_connection_string (str) – Secondary connection string of the created namespace AuthorizationRule.
  - alias_primary_connection_string (str) – Primary connection string of the alias if GEO DR is enabled
  - alias_secondary_connection_string (str) – Secondary connection string of the alias if GEO DR is enabled
  - primary_key (str) – A base64-encoded 256-bit primary key for signing and validating the SAS token.
  - secondary_key (str) – A base64-encoded 256-bit primary key for signing and validating the SAS token.
  - key_name (str) – A string that describes the AuthorizationRule.

class `azure.mgmt.eventhub.v2017_04_01.models.``ArmDisasterRecovery`(*, partner_namespace: str = None, alternate_name: str = None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.Resource`

  Single item in List or Get Alias(Disaster Recovery configuration) operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str or ProvisioningStateDR) – Provisioning state of the Alias(Disaster Recovery configuration) - possible values ‘Accepted’ or ‘Succeeded’ or ‘Failed’. Possible values include: ‘Accepted’, ‘Succeeded’, ‘Failed’
  - role (str or RoleDisasterRecovery) – role of namespace in GEO DR - possible values ‘Primary’ or ‘PrimaryNotReplicating’ or ‘Secondary’. Possible values include: ‘Primary’, ‘PrimaryNotReplicating’, ‘Secondary’
  - pending_replication_operations_count (long) – Number of entities pending to be replicated.

  Parameters:

  - partner_namespace (str) – ARM Id of the Primary/Secondary eventhub namespace name, which is part of GEO DR pairing
  - alternate_name (str) – Alternate name specified when alias and namespace names are same.

class `azure.mgmt.eventhub.v2017_04_01.models.``AuthorizationRule`(*, rights, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.Resource`

  Single item in a List or Get AuthorizationRule operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters: | rights (list[str or AccessRights]) – Required. The rights associated with the rule.

class `azure.mgmt.eventhub.v2017_04_01.models.``CaptureDescription`(*, enabled: bool = None, encoding=None, interval_in_seconds: int = None, size_limit_in_bytes: int = None, destination=None, skip_empty_archives: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties to configure capture description for eventhub.

  Parameters:

  - enabled (bool) – A value that indicates whether capture description is enabled.
  - encoding (str or EncodingCaptureDescription) – Enumerates the possible values for the encoding format of capture description. Note: ‘AvroDeflate’ will be deprecated in New API Version. Possible values include: ‘Avro’, ‘AvroDeflate’
  - interval_in_seconds (int) – The time window allows you to set the frequency with which the capture to Azure Blobs will happen, value should between 60 to 900 seconds
  - size_limit_in_bytes (int) – The size window defines the amount of data built up in your Event Hub before an capture operation, value should be between 10485760 to 524288000 bytes
  - destination (Destination) – Properties of Destination where capture will be stored. (Storage Account, Blob Names)
  - skip_empty_archives (bool) – A value that indicates whether to Skip Empty Archives

class `azure.mgmt.eventhub.v2017_04_01.models.``CheckNameAvailabilityParameter`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameter supplied to check Namespace name availability operation .

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. Name to check the namespace name availability

class `azure.mgmt.eventhub.v2017_04_01.models.``CheckNameAvailabilityResult`(*, name_available: bool = None, reason=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Result of the CheckNameAvailability operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | message (str) – The detailed info regarding the reason associated with the Namespace.

  Parameters:

  - name_available (bool) – Value indicating Namespace is availability, true if the Namespace is available; otherwise, false.
  - reason (str or UnavailableReason) – The reason for unavailability of a Namespace. Possible values include: ‘None’, ‘InvalidName’, ‘SubscriptionIsDisabled’, ‘NameInUse’, ‘NameInLockdown’, ‘TooManyNamespaceInCurrentSubscription’

class `azure.mgmt.eventhub.v2017_04_01.models.``ConsumerGroup`(*, user_metadata: str = None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.Resource`

  Single item in List or Get Consumer group operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - created_at (datetime) – Exact time the message was created.
  - updated_at (datetime) – The exact time the message was updated.

  Parameters: | user_metadata (str) – User Metadata is a placeholder to store user-defined string data with maximum length 1024. e.g. it can be used to store descriptive data, such as list of teams and their contact information also user-defined configuration settings can be stored.

class `azure.mgmt.eventhub.v2017_04_01.models.``Destination`(*, name: str = None, storage_account_resource_id: str = None, blob_container: str = None, archive_name_format: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Capture storage details for capture description.

  Parameters:

  - name (str) – Name for capture destination
  - storage_account_resource_id (str) – Resource id of the storage account to be used to create the blobs
  - blob_container (str) – Blob container Name
  - archive_name_format (str) – Blob naming convention for archive, e.g. {Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}. Here all the parameters (Namespace,EventHub .. etc) are mandatory irrespective of order

class `azure.mgmt.eventhub.v2017_04_01.models.``EHNamespace`(*, location: str = None, tags=None, sku=None, is_auto_inflate_enabled: bool = None, maximum_throughput_units: int = None, kafka_enabled: bool = None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.TrackedResource`

  Single Namespace item in List or Get Operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - provisioning_state (str) – Provisioning state of the Namespace.
  - created_at (datetime) – The time the Namespace was created.
  - updated_at (datetime) – The time the Namespace was updated.
  - service_bus_endpoint (str) – Endpoint you can use to perform Service Bus operations.
  - metric_id (str) – Identifier for Azure Insights metrics.

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - sku (Sku) – Properties of sku resource
  - is_auto_inflate_enabled (bool) – Value that indicates whether AutoInflate is enabled for eventhub namespace.
  - maximum_throughput_units (int) – Upper limit of throughput units when AutoInflate is enabled, value should be within 0 to 20 throughput units. ( ‘0’ if AutoInflateEnabled = true)
  - kafka_enabled (bool) – Value that indicates whether Kafka is enabled for eventhub namespace.

class `azure.mgmt.eventhub.v2017_04_01.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response indicates EventHub service is not able to process the incoming request. The reason is provided in the error message.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.eventhub.v2017_04_01.models.``Eventhub`(*, message_retention_in_days: int = None, partition_count: int = None, status=None, capture_description=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.Resource`

  Single item in List or Get Event Hub operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - partition_ids (list[str]) – Current number of shards on the Event Hub.
  - created_at (datetime) – Exact time the Event Hub was created.
  - updated_at (datetime) – The exact time the message was updated.

  Parameters:

  - message_retention_in_days (long) – Number of days to retain the events for this Event Hub, value should be 1 to 7 days
  - partition_count (long) – Number of partitions created for the Event Hub, allowed values are from 1 to 32 partitions.
  - status (str or EntityStatus) – Enumerates the possible values for the status of the Event Hub. Possible values include: ‘Active’, ‘Disabled’, ‘Restoring’, ‘SendDisabled’, ‘ReceiveDisabled’, ‘Creating’, ‘Deleting’, ‘Renaming’, ‘Unknown’
  - capture_description (CaptureDescription) – Properties of capture description

class `azure.mgmt.eventhub.v2017_04_01.models.``MessagingPlan`(*, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.TrackedResource`

  Messaging Plan for the namespace.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type
  - sku (int) – Sku type
  - selected_event_hub_unit (int) – Selected event hub unit
  - updated_at (datetime) – The exact time the messaging plan was updated.
  - revision (long) – revision number

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.eventhub.v2017_04_01.models.``MessagingRegions`(*, location: str = None, tags=None, properties=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.TrackedResource`

  Messaging Region.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags
  - properties (MessagingRegionsProperties) –

class `azure.mgmt.eventhub.v2017_04_01.models.``MessagingRegionsProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  MessagingRegionsProperties.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – Region code
  - full_name (str) – Full name of the region

class `azure.mgmt.eventhub.v2017_04_01.models.``NetworkRuleSet`(*, default_action=None, virtual_network_rules=None, ip_rules=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.Resource`

  Description of NetworkRuleSet resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - default_action (str or DefaultAction) – Default Action for Network Rule Set. Possible values include: ‘Allow’, ‘Deny’
  - virtual_network_rules (list[NWRuleSetVirtualNetworkRules]) – List VirtualNetwork Rules
  - ip_rules (list[NWRuleSetIpRules]) – List of IpRules

class `azure.mgmt.eventhub.v2017_04_01.models.``NWRuleSetIpRules`(*, ip_mask: str = None, action='Allow', **kwargs)

  Bases: `msrest.serialization.Model`

  Description of NetWorkRuleSet - IpRules resource.

  Parameters:

  - ip_mask (str) – IP Mask
  - action (str or NetworkRuleIPAction) – The IP Filter Action. Possible values include: ‘Allow’. Default value: “Allow” .

class `azure.mgmt.eventhub.v2017_04_01.models.``NWRuleSetVirtualNetworkRules`(*, subnet=None, ignore_missing_vnet_service_endpoint: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Description of VirtualNetworkRules - NetworkRules resource.

  Parameters:

  - subnet (Subnet) – Subnet properties
  - ignore_missing_vnet_service_endpoint (bool) – Value that indicates whether to ignore missing VNet Service Endpoint

class `azure.mgmt.eventhub.v2017_04_01.models.``Operation`(*, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Event Hub REST API operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | name (str) – Operation name: {provider}/{resource}/{operation}
  Parameters: | display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.eventhub.v2017_04_01.models.``OperationDisplay`(**kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - provider (str) – Service provider: Microsoft.EventHub
  - resource (str) – Resource on which the operation is performed: Invoice, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.eventhub.v2017_04_01.models.``RegenerateAccessKeyParameters`(*, key_type, key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters supplied to the Regenerate Authorization Rule operation, specifies which key needs to be reset.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key_type (str or KeyType) – Required. The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
  - key (str) – Optional, if the key value provided, is set for KeyType or autogenerated Key value set for keyType

class `azure.mgmt.eventhub.v2017_04_01.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The Resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

class `azure.mgmt.eventhub.v2017_04_01.models.``Sku`(*, name, tier=None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU parameters supplied to the create namespace operation.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str or SkuName) – Required. Name of this SKU. Possible values include: ‘Basic’, ‘Standard’
  - tier (str or SkuTier) – The billing tier of this particular SKU. Possible values include: ‘Basic’, ‘Standard’
  - capacity (int) – The Event Hubs throughput units, value should be 0 to 20 throughput units.

class `azure.mgmt.eventhub.v2017_04_01.models.``Subnet`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties supplied for Subnet.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Resource ID of Virtual Network Subnet

class `azure.mgmt.eventhub.v2017_04_01.models.``TrackedResource`(*, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.eventhub.v2017_04_01.models._models_py3.Resource`

  Definition of Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.eventhub.v2017_04_01.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.eventhub.v2017_04_01.models.``EHNamespacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EHNamespace` object

class `azure.mgmt.eventhub.v2017_04_01.models.``AuthorizationRulePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AuthorizationRule` object

class `azure.mgmt.eventhub.v2017_04_01.models.``ArmDisasterRecoveryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ArmDisasterRecovery` object

class `azure.mgmt.eventhub.v2017_04_01.models.``EventhubPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Eventhub` object

class `azure.mgmt.eventhub.v2017_04_01.models.``ConsumerGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ConsumerGroup` object

class `azure.mgmt.eventhub.v2017_04_01.models.``MessagingRegionsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `MessagingRegions` object

class `azure.mgmt.eventhub.v2017_04_01.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `standard` = 'Standard'

class `azure.mgmt.eventhub.v2017_04_01.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `standard` = 'Standard'

class `azure.mgmt.eventhub.v2017_04_01.models.``AccessRights`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `listen` = 'Listen'
  `manage` = 'Manage'
  `send` = 'Send'

class `azure.mgmt.eventhub.v2017_04_01.models.``KeyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary_key` = 'PrimaryKey'
  `secondary_key` = 'SecondaryKey'

class `azure.mgmt.eventhub.v2017_04_01.models.``EntityStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `active` = 'Active'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `disabled` = 'Disabled'
  `receive_disabled` = 'ReceiveDisabled'
  `renaming` = 'Renaming'
  `restoring` = 'Restoring'
  `send_disabled` = 'SendDisabled'
  `unknown` = 'Unknown'

class `azure.mgmt.eventhub.v2017_04_01.models.``EncodingCaptureDescription`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `avro` = 'Avro'
  `avro_deflate` = 'AvroDeflate'

class `azure.mgmt.eventhub.v2017_04_01.models.``UnavailableReason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `invalid_name` = 'InvalidName'
  `name_in_lockdown` = 'NameInLockdown'
  `name_in_use` = 'NameInUse'
  `none` = 'None'
  `subscription_is_disabled` = 'SubscriptionIsDisabled'
  `too_many_namespace_in_current_subscription` = 'TooManyNamespaceInCurrentSubscription'

class `azure.mgmt.eventhub.v2017_04_01.models.``ProvisioningStateDR`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'

class `azure.mgmt.eventhub.v2017_04_01.models.``RoleDisasterRecovery`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary` = 'Primary'
  `primary_not_replicating` = 'PrimaryNotReplicating'
  `secondary` = 'Secondary'

class `azure.mgmt.eventhub.v2017_04_01.models.``NetworkRuleIPAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'

class `azure.mgmt.eventhub.v2017_04_01.models.``DefaultAction`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'
  `deny` = 'Deny'